#!/usr/bin/env python
#
# This file is part of Acryon
# Author(s): Patricia Ho, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Acryon is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Acryon is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Acryon.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from Activities import *
pygame.init()

# Set up the window
windowsize = windowwidth, windowheight = 800, 800
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("Galaxy3.png")
background_rect.center = (400, 400) 
#Background Music#
final_sound=load_sound("The_Orchestra.wav")
final_sound.play() 
 
# Set up the group of activities
activities = pygame.sprite.OrderedUpdates()
activities.add(Dyranzia((550,10),background,"A1.png","A1c.png"))
activities.add(Srenkya((325,40),background,"A2.png","A2c.png"))
activities.add(Plohronq((105,80),background,"A3.png","A3c.png"))
activities.add(Arcklind((0,230),background,"A4.png","A4c.png"))
activities.add(Nirjajrin((200,310),background,"A5.png","A5c.png"))
activities.add(Kyrtin((400,360),background,"A6.png","A6c.png"))
activities.add(Hanren((550,400),background,"A7.png","A7c.png"))

# Main game play
# Start screen
start_game = False
while not start_game:
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit() # if the user closed the window, quit the game
		elif event.type == pygame.KEYDOWN: # if the user pressed a key
			start_game = True # start the game
		
	# Draw everything to the screen
	screen.blit(background, (0, 0))	# draw over everything on the screen now by re-drawing the background

	# Draw the instructions
	font = pygame.font.Font(None, 80)
	text = font.render("Acryon", 1, (255,255,200))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-300
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 25)
	text = font.render("The seven planets surrounding the medium-sized star Cryon are about to meet their end.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-200
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 25)
	text = font.render("Shortly, Cryon will implode, wiping out all of civilization from" , 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-180
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 25)
	text = font.render("the Resarx, seven planets dedicated to exploring different branches of science." , 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-160
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 25)
	text = font.render("You, an intergalatic exchange student, have time only to travel to each planet briefly", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-140
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 25)
	text = font.render("and learn a little about each planet's field.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-120
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 35)
	text = font.render("Click a planet to start. Hurry.", 1, (255,255,255))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2-100
	screen.blit(text, textrect)
	
	font = pygame.font.Font(None, 50)
	text = font.render("Press any key to start the game.", 1, (30,30,140))
	textrect = text.get_rect()
	textrect.centerx, textrect.centery = area.width/2,area.height/2+50
	screen.blit(text, textrect)
	
	pygame.display.flip() # make everything we have drawn on the screen become visible in the window
while True:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			for activity in activities:
				if activity.rect.collidepoint(event.pos):
					activity.play()

	# Draw everything to the screen
	screen.blit(background,(0,0))
	activities.draw(screen)
	
	pygame.display.flip()

