#!/usr/bin/env python
#
# This file is part of Acryon
# Author(s): Patricia Ho, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Acryon is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Acryon is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Acryon.  If not, see <http://www.gnu.org/licenses/>.



import pygame, ActivityBase
from helpers import *

#Dyranzia- Sociology
#Srenkya- Chemistry
#Plohronq- Physics
#Arcklind- Astronomy
#Nirjajrin- Psychiatry
#Kyrtin- Biology
#Hanren- Medicine

class Dyranzia(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)
		
	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("Cove.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		# Draw everything to the screen
				
	
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("1.1.1.png")
		answer2, answer2rect = load_image("1.1.2.png")
		answer3, answer3rect = load_image("1.1.3.png")
		answer1rect.center = 120,400
		answer2rect.center = 420,400
		answer3rect.center = 670,402		
		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("Sociology is the study of...", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer2rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Srenkya(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("MelancholicGlory.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)
		
		pygame.display.flip()
		
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("2.1.1.png")
		answer2, answer2rect = load_image("2.1.2.png")
		answer3, answer3rect = load_image("2.1.3.png")
		answer1rect.center = 100,400
		answer2rect.center = 400,400
		answer3rect.center = 700,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("Which of the following is a chemical element?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer1rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Plohronq(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("Curving.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)	
		pygame.display.flip()
		
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("3.1.1.png")
		answer2, answer2rect = load_image("3.1.2.png")
		answer3, answer3rect = load_image("3.1.3.png")
		answer1rect.center = 100,400
		answer2rect.center = 400,400
		answer3rect.center = 690,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("In common lore, what led Newton to the concept of gravity?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer3rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Arcklind(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("Reflection.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)	
		pygame.display.flip()
		
		
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("4.1.1.png")
		answer2, answer2rect = load_image("4.1.2.png")
		answer3, answer3rect = load_image("4.1.3.png")
		answer1rect.center = 100,400
		answer2rect.center = 450,405
		answer3rect.center = 670,410

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("Which of the following is a nebula?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer1rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Nirjajrin(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("Growth.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)	
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("5.1.1.png")
		answer2, answer2rect = load_image("5.1.2.png")
		answer3, answer3rect = load_image("5.1.3.png")
		answer1rect.center = 100,400
		answer2rect.center = 360,400
		answer3rect.center = 700,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("Psychiatrists deal with which of the following?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer2rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Kyrtin(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("MoonGold.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)	
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("6.1.1.png")
		answer2, answer2rect = load_image("6.1.2.png")
		answer3, answer3rect = load_image("6.1.3.png")
		answer1rect.center = 15,400
		answer2rect.center = 400,401
		answer3rect.center = 750,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("Which of the following is the land biome with the most biodiversity?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer3rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

class Hanren(ActivityBase.ActivityBase):
	def __init__(self,topleft,background_image,main_image_file,completed_image_file):
		ActivityBase.ActivityBase.__init__(self,topleft,background_image,main_image_file,completed_image_file)

	def askQuestion(self, questionText, answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, correctAnswerrect):
		# questionText is the string of the question
		# answer1, answer2 and answer3 are the possible answers for the user to choose
		# answer1rect, answer2rect and answer3rect are the Rects that describe where the images for
		# the answers need to be drawn.
		# correctAnswer is the correct answer
		
		# Set up the font for our question.  Redraw the background first to clear the screen
		image, imagerect = load_image("Ceiling.png")
		imagerect.centerx = self.area.centerx
		imagerect.centery = self.area.centery
		self.screen.blit(image,imagerect)
		font = pygame.font.Font(None, 30)
		text = font.render(questionText, 1, (255, 255, 255))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,100
		self.screen.blit(text, textrect)
		
		
		# Draw our answers to the screen
		self.screen.blit(answer1, answer1rect)
		self.screen.blit(answer2, answer2rect)
		self.screen.blit(answer3, answer3rect)	
		pygame.display.flip()
		
		# Now let's loop waiting for the user's answer
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.MOUSEBUTTONDOWN:
						if answer1rect.collidepoint(event.pos):
							# If we're here, then the user has clicked on one of the answers.
							answered = True
							if answer1rect == correctAnswerrect:
								# User answered correctly, let them know
								correct = True
							else:
								correct = False
						elif answer2rect.collidepoint(event.pos):
							answered = True
							if answer2rect == correctAnswerrect:
								correct = True
							else:
								correct = False
						elif answer3rect.collidepoint(event.pos):
							answered = True
							if answer3rect == correctAnswerrect:
								correct = True
							else:
								correct = False

		# The user has answered.  Display the results of their answer.  Remember, we need to redraw the background
		# in order to get rid of the previous stuff drawn to the screen.
		if correct:
			text = font.render("Correct!  Press any key to continue", 1, (255,255,255))
		else:
			text = font.render("Sorry, that's not correct.  Press any key to continue", 1, (255,255,255))
		
		self.screen.blit(self.background, (0, 0))
		textrect = text.get_rect()
		textrect.centerx, textrect.centery = self.area.centerx,300
		self.screen.blit(text, textrect)
		
		pygame.display.flip()
		
		# Now, wait for the user to click a key to continue:
		answered = False
		while not answered:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
				elif event.type == pygame.KEYDOWN:
					answered = True				
		
		return correct


	def play(self):
		# Load all of our images for our question:
		answer1, answer1rect = load_image("7.1.1.png")
		answer2, answer2rect = load_image("7.1.2.png")
		answer3, answer3rect = load_image("7.1.3.png")
		answer1rect.center = 100,400
		answer2rect.center = 430,400
		answer3rect.center = 700,400

		while not self.activity_completed:
			for event in pygame.event.get():
				if event.type == pygame.QUIT:
					sys.exit()
			# Ask our question until they get it right
			if self.askQuestion("Antibiotics are used to treat infections caused by what organisms?", answer1, answer1rect, answer2, answer2rect, answer3, answer3rect, answer2rect):
				self.activity_completed = True
	

		self.image = self.completed_image
		self.completed_image_rect.topleft = self.rect.topleft
		self.rect = self.completed_image_rect

